$(function() {

	$(function(){
		$('#main-slider.carousel').carousel({
			interval: 8000,
			pause: false
		});
	});

	//Ajax contact
	var form = $('.contact-form');

	form.validate({ errorPlacement: function(error, element) {}, submitHandler: function() {

		$('#submitBtn').attr('disabled', 'disabled');
		$.post($(form).attr('action'), $(form).serialize(), function(data) {
			
			$this = form;
			if (data.message != undefined) {
				$this.prev().text(data.message).fadeIn().delay(3000).fadeOut();
				$(form).find('input,textarea').val('');
			} else {
				$this.prev().text('Ошибка при отправке сообщения!').fadeIn().delay(3000).fadeOut();
			}
			$('#submitBtn').removeAttr('disabled');

		},'json');

	}});

	//smooth scroll
	$('.navbar-nav > li').click(function(event) {
		event.preventDefault();
		var target = $(this).find('>a').prop('hash');
		$('html, body').animate({
			scrollTop: $(target).offset().top
		}, 500);
	});

	//scrollspy
	$('[data-spy="scroll"]').each(function () {
		var $spy = $(this).scrollspy('refresh')
	})

	//PrettyPhoto
	$("a.preview").prettyPhoto({
		social_tools: false
	});

	//Isotope
	$(window).load(function(){
		$portfolio = $('.portfolio-items');
		$portfolio.isotope({
			itemSelector : 'li',
			layoutMode : 'fitRows'
		});
		$portfolio_selectors = $('.portfolio-filter >li>a');
		$portfolio_selectors.on('click', function(){
			$portfolio_selectors.removeClass('active');
			$(this).addClass('active');
			var selector = $(this).attr('data-filter');
			$portfolio.isotope({ filter: selector });
			return false;
		});
	});

});

